make2graph(1)

NAME
makefile2graph - Creates a graph of dependencies from GNU-Make

SYNOPSIS
make -Bnd | make2graph > output.dot

DESCRIPTION
Creates a graph of dependencies from GNU-Make; Output is a graphiz-dot file or a Gexf-XML file. sub-makefiles are not supported.

OPTIONS

-f  formats :(x) XML output (gexf), (E) print a list of deepest targets, (l) print a list of targets, (d) dot output (default)

-b  print file basename

-s  print file extension

-r  show root node

-v  print version

SEE ALSO
makefile2graph(1), make(1), dot(1)

AUTHOR
Pierre Lindenbaum (@yokofakun)